/* You can add global styles to this file, and also import other style files */
@import url('https://fonts.googleapis.com/css?family=Material+Icons|Lato:100,300,400,600,700,900&display=swap');

.MontserratR{
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
}

.MontserratB{
	font-family: 'Montserrat', sans-serif;
	font-weight: 600;
}

* { 
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
}

html { 
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
}
body { 
	margin: 0; 
	height: 100%; 
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
	font-size: 1.00vh;
}

.brl { display: block; position: relative; float: left;}
.brr { display: block; position: relative; float: right;}
.bold { font-weight: bold;}
.pointer { cursor: pointer;}
.animation1 {
	-webkit-transition: all .3s ease-in;
	-moz-transition: all .3s ease-in;
	-o-transition: all .3s ease-in;
	-ms-transition: all .3s ease-in;
	transition: all .3s ease-in;
}


.mat-form-field{
	font-family: 'Montserrat', sans-serif !important;
    font-size: 1.6vh !important;
	font-weight: normal;
    display: block;
    white-space: nowrap;
    min-height: 1.2em;
    padding: 0px 2px 1px;
}

.mat-form-field-wrapper{
    padding-bottom: 1.5rem !important;
}

.nj-form-group{
	padding-top: 1rem !important;
}

.nj-form-control{
	background-image: none !important;
}


.mat-form-field-appearance-fill .mat-form-field-infix {
	padding: 0px !important;
}

.mat-dialog-container{
	padding:0px !important;
}

.material-icons.engieBlue { color: #00aaff; }
.material-icons.engieRed { color: #c03; }

.mat-tab-label-active { 
	border-color: #00aaff !important; 
}

/* .mat-tab-label-active:focus:not([readonly]) { 
	box-shadow: 0 1px 0 0 red !important; border-bottom: 1px solid red !important; 
}  */
.mat-ink-bar{
	background-color: #00aaff !important; 
}

.mat-form-field-appearance-fill .mat-form-field-flex{
    background-color: rgba(255, 255, 255, 0) !important;
	padding: 0px !important;
}

.mat-tab-label-content{
	text-transform: uppercase;
    font-size: 1.60vh;
}

.mat-form-field-label{
    color:var(--nj-color-text-body) !important;
}

.text_darkmode{
    color:var(--nj-color-text-body) !important;
}

.mat-tab-label-content{
    color:var(--nj-color-text-body) !important;
}

button.mapboxgl-popup-close-button{
    color:var(--nj-color-text-body) !important;
}



.mat-form-field-ripple {
background-color: #00aaff !important;
}

.cdk-overlay-container{
	z-index:999999;
}

.mapboxgl-popup-content{
    padding: 0px !important;
}

.mapboxgl-popup-close-button{
	color: black !important;
  }


.flexRow{
	display: flex;
	flex-direction: column;
}

.flexCol{
	display: flex;
	flex-direction: row;
}

.flex1{ flex:1 }
.flex2{ flex:2 }
.flex3{ flex:3 }
.flex4{ flex:4 }
.flex5{ flex:5 }

.flexCenter{
	align-items: center;
	justify-content: center;
}

.fs9{font-size: 0.90vh;}
.fs10{font-size: 1.00vh;}
.fs11{font-size: 1.10vh;}
.fs12{font-size: 1.20vh;}
.fs13{font-size: 1.30vh;}
.fs14{font-size: 1.40vh;}
.fs15{font-size: 1.50vh;}
.fs16{font-size: 1.60vh;}
.fs17{font-size: 1.70vh;}
.fs18{font-size: 1.80vh;}
.fs19{font-size: 1.90vh;}
.fs20{font-size: 2.00vh;}
.fs20{font-size: 2.10vh;}
.fs20{font-size: 2.20vh;}
.fs20{font-size: 2.30vh;}
.fs20{font-size: 2.40vh;}

.noBorder{border: 0px solid black;}

/* Override class mapboxgl */
.mapboxgl-ctrl-bottom-right {
	right: 0;
	bottom: 20%;
}
.mapboxgl-ctrl.mapboxgl-ctrl-attrib {
	display: none;
	padding: 0 5px;
	background-color: hsla(0,0%,100%,.5);
	margin: 0;
}